View Issue Details

IDProjectCategoryView StatusLast Update
0001224SymmetricDSTaskpublic2014-06-16 20:27
ReporterchensonAssigned Toelong 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version3.6.0 
Target Version3.6.0Fixed in Version3.6.0 
Summary0001224: Remove dependency on java service wrapper
DescriptionRemove dependency on java service wrapper
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: master 8bdaf7e6

2014-05-01 13:41:37

erilong

Details Diff
0001224: Remove dependency on java service wrapper
0001224
mod - symmetric-assemble/pom.xml Diff File
mod - symmetric-assemble/src/assembly/assembly-server.xml Diff File
mod - symmetric-parent/pom.xml Diff File
mod - symmetric-server/pom.xml Diff File
rm - symmetric-server/src/main/deploy/bin/install_service.bat Diff File
mod - symmetric-server/src/main/deploy/bin/sym_service Diff File
add - symmetric-server/src/main/deploy/bin/sym_service.bat Diff File
rm - symmetric-server/src/main/deploy/bin/sym_service.exe Diff File
rm - symmetric-server/src/main/deploy/bin/sym_service.initd Diff File
rm - symmetric-server/src/main/deploy/bin/uninstall_service.bat Diff File
rm - symmetric-server/src/main/deploy/lib/libwrapper.so Diff File
rm - symmetric-server/src/main/deploy/lib/wrapper.dll Diff File
rm - symmetric-server/src/main/deploy/lib/wrapper.jar Diff File

SymmetricDS: master 7cb2b88f

2014-05-01 13:43:50

erilong

Details Diff
0001224: Remove dependency on java service wrapper
0001224
add - symmetric-wrapper/pom.xml Diff File
add - symmetric-wrapper/src/main/java/org/jumpmind/symmetric/wrapper/Constants.java Diff File
add - symmetric-wrapper/src/main/java/org/jumpmind/symmetric/wrapper/UnixService.java Diff File
add - symmetric-wrapper/src/main/java/org/jumpmind/symmetric/wrapper/WindowsService.java Diff File
add - symmetric-wrapper/src/main/java/org/jumpmind/symmetric/wrapper/Wrapper.java Diff File
add - symmetric-wrapper/src/main/java/org/jumpmind/symmetric/wrapper/WrapperConfig.java Diff File
add - symmetric-wrapper/src/main/java/org/jumpmind/symmetric/wrapper/WrapperService.java Diff File
add - symmetric-wrapper/src/main/java/org/jumpmind/symmetric/wrapper/jna/Advapi32Ex.java Diff File
add - symmetric-wrapper/src/main/java/org/jumpmind/symmetric/wrapper/jna/CLibrary.java Diff File
add - symmetric-wrapper/src/main/java/org/jumpmind/symmetric/wrapper/jna/Kernel32Ex.java Diff File
add - symmetric-wrapper/src/main/java/org/jumpmind/symmetric/wrapper/jna/WinsvcEx.java Diff File
add - symmetric-wrapper/src/main/resources/symmetricds.initd Diff File

SymmetricDS: master 37c65435

2014-05-02 16:58:13

erilong

Details Diff
0001224: Remove dependency on java service wrapper - tweak for macosx
0001224
mod - symmetric-wrapper/src/main/java/org/jumpmind/symmetric/wrapper/UnixService.java Diff File

SymmetricDS: master a907b33a

2014-05-06 12:19:49

erilong

Details Diff
0001224: Remove dependency on java service wrapper - use exception handling, updated isPidRunning() to support WinXP
0001224
mod - symmetric-wrapper/src/main/java/org/jumpmind/symmetric/wrapper/Constants.java Diff File
mod - symmetric-wrapper/src/main/java/org/jumpmind/symmetric/wrapper/UnixService.java Diff File
mod - symmetric-wrapper/src/main/java/org/jumpmind/symmetric/wrapper/WindowsService.java Diff File
mod - symmetric-wrapper/src/main/java/org/jumpmind/symmetric/wrapper/Wrapper.java Diff File
add - symmetric-wrapper/src/main/java/org/jumpmind/symmetric/wrapper/WrapperException.java Diff File
mod - symmetric-wrapper/src/main/java/org/jumpmind/symmetric/wrapper/WrapperService.java Diff File
mod - symmetric-wrapper/src/main/java/org/jumpmind/symmetric/wrapper/jna/Kernel32Ex.java Diff File

SymmetricDS: master 2a883090

2014-05-11 10:41:18

erilong

Details Diff
0001224: symmetric service wrapper
0001224
mod - symmetric-wrapper/src/main/java/org/jumpmind/symmetric/wrapper/WindowsService.java Diff File
mod - symmetric-wrapper/src/main/java/org/jumpmind/symmetric/wrapper/Wrapper.java Diff File
mod - symmetric-wrapper/src/main/java/org/jumpmind/symmetric/wrapper/WrapperService.java Diff File

SymmetricDS: master 64f2952c

2014-05-11 12:06:17

erilong

Details Diff
0001224: symmetric service wrapper - close a service handle
0001224
mod - symmetric-wrapper/src/main/java/org/jumpmind/symmetric/wrapper/WindowsService.java Diff File

SymmetricDS: master de54e195

2014-05-11 21:02:28

erilong

Details Diff
0001224: symmetric service wrapper - use jar instead of classpath bec command line is too long for windows service manager
0001224
mod - symmetric-wrapper/src/main/java/org/jumpmind/symmetric/wrapper/Constants.java Diff File
mod - symmetric-wrapper/src/main/java/org/jumpmind/symmetric/wrapper/WindowsService.java Diff File
mod - symmetric-wrapper/src/main/java/org/jumpmind/symmetric/wrapper/WrapperConfig.java Diff File
mod - symmetric-wrapper/src/main/java/org/jumpmind/symmetric/wrapper/WrapperService.java Diff File

SymmetricDS: master 91f3e701

2014-05-13 15:41:08

erilong

Details Diff
0001224: symmetric service wrapper - documentation
0001224
mod - symmetric-assemble/src/docbook/advanced-topics.xml Diff File

SymmetricDS: master 9c6df917

2014-05-14 20:43:15

erilong

Details Diff
0001224: symmetric service wrapper - update properties file
0001224
mod - symmetric-server/src/main/deploy/conf/sym_service.conf Diff File

SymmetricDS: master 71ae495c

2014-05-14 20:45:32

erilong

Details Diff
0001224: symmetric service wrapper - add java util logging with log rotation
0001224
mod - symmetric-wrapper/src/main/java/org/jumpmind/symmetric/wrapper/WindowsService.java Diff File
mod - symmetric-wrapper/src/main/java/org/jumpmind/symmetric/wrapper/WrapperConfig.java Diff File
add - symmetric-wrapper/src/main/java/org/jumpmind/symmetric/wrapper/WrapperLogFormatter.java Diff File
add - symmetric-wrapper/src/main/java/org/jumpmind/symmetric/wrapper/WrapperLogHandler.java Diff File
mod - symmetric-wrapper/src/main/java/org/jumpmind/symmetric/wrapper/WrapperService.java Diff File

SymmetricDS: master 519d9c03

2014-05-23 19:31:57

erilong

Details Diff
0001224: symmetric service wrapper - rename to "server" instead of "sym", formatting for log
0001224
mod - symmetric-server/src/main/deploy/conf/sym_service.conf Diff File
mod - symmetric-wrapper/src/main/java/org/jumpmind/symmetric/wrapper/WrapperConfig.java Diff File
mod - symmetric-wrapper/src/main/java/org/jumpmind/symmetric/wrapper/WrapperLogFormatter.java Diff File
mod - symmetric-wrapper/src/main/java/org/jumpmind/symmetric/wrapper/WrapperService.java Diff File

SymmetricDS: master 7d9d63f0

2014-05-23 20:37:19

erilong

Details Diff
0001224: symmetric service wrapper - might be useful to see PIDs like the control center
0001224
mod - symmetric-wrapper/src/main/java/org/jumpmind/symmetric/wrapper/WrapperService.java Diff File

Issue History

Date Modified Username Field Change
2013-05-16 07:50 chenson New Issue
2013-05-16 07:50 chenson Status new => assigned
2013-05-16 07:50 chenson Assigned To => elong
2013-06-07 13:57 chenson Product Version 3.5.0 =>
2013-06-07 13:57 chenson Target Version 3.5.0 =>
2013-06-08 11:02 chenson Product Version => 3.6.0
2013-06-08 11:02 chenson Target Version => 3.6.0
2014-03-03 09:59 chenson Target Version 3.6.0 =>
2014-04-18 14:03 chenson Target Version => 3.6.0
2014-05-01 14:00 Changeset attached => SymmetricDS trunk r8222
2014-05-01 14:00 Changeset attached => SymmetricDS trunk r8224
2014-05-02 17:00 Changeset attached => SymmetricDS trunk r8231
2014-05-06 13:00 Changeset attached => SymmetricDS trunk r8232
2014-05-11 11:00 Changeset attached => SymmetricDS trunk r8255
2014-05-11 13:00 Changeset attached => SymmetricDS trunk r8257
2014-05-11 22:00 Changeset attached => SymmetricDS trunk r8258
2014-05-13 16:00 Changeset attached => SymmetricDS trunk r8267
2014-05-14 21:00 Changeset attached => SymmetricDS trunk r8273
2014-05-14 21:00 Changeset attached => SymmetricDS trunk r8274
2014-05-23 20:00 Changeset attached => SymmetricDS trunk r8302
2014-05-23 21:00 Changeset attached => SymmetricDS trunk r8303
2014-06-10 09:07 chenson Status assigned => resolved
2014-06-10 09:07 chenson Fixed in Version => 3.6.0
2014-06-10 09:07 chenson Resolution open => fixed
2014-06-16 20:27 chenson Status resolved => closed
2015-07-30 21:49 Changeset attached => SymmetricDS master 7d9d63f0
2015-07-30 21:49 Changeset attached => SymmetricDS master 519d9c03
2015-07-30 21:49 Changeset attached => SymmetricDS master 71ae495c
2015-07-30 21:49 Changeset attached => SymmetricDS master 9c6df917
2015-07-30 21:49 Changeset attached => SymmetricDS master 91f3e701
2015-07-30 21:49 Changeset attached => SymmetricDS master de54e195
2015-07-30 21:49 Changeset attached => SymmetricDS master 64f2952c
2015-07-30 21:49 Changeset attached => SymmetricDS master 2a883090
2015-07-30 21:49 Changeset attached => SymmetricDS master a907b33a
2015-07-30 21:49 Changeset attached => SymmetricDS master 37c65435
2015-07-30 21:49 Changeset attached => SymmetricDS master 7cb2b88f
2015-07-30 21:49 Changeset attached => SymmetricDS master 8bdaf7e6